petsc-3.15.0 2021-03-30
Report Typos and Errors

# LandauAddMaxwellians

Add a Maxwellian distribution to a state

### Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode LandauAddMaxwellians(DM dm, Vec X, PetscReal time, PetscReal temps[], PetscReal ns[], void *actx)

Collective on X

### Input Parameters

. dm - The mesh + time - Current time - temps - Temperatures of each species . ns - Number density of each species + actx - Landau context

### Output Parameter

. X - The state

.keywords: mesh .seealso: LandauCreateVelocitySpace()

### Level

beginner

### Location

src/ts/utils/dmplexlandauplexland.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages